# Splendid Speed

Splendid Speed is a all-in-one WordPress performance plugin that allows anyone, even those who arent tech-savvy, to vastly improve the performance of their WordPress powered website. Splendid Speed improves your website performance and Google Pagespeed score with converting images to WebP, preloading pages, using Gzip and more.

## Features

### CACHE STATIC ASSETS

Tell browsers to hold onto static assets such as images, stylesheets and scripts for longer. This will make your pages load faster for people who have already visited your website, because all the static assets have already been downloaded.

### CLEAN AUTO-DRAFTS

Delete all automatically created drafts periodically every week. This helps keep your database size small. Auto-drafts are created automatically while you are editing a post or page, and over time this can clutter your database.

### CLEAN POST REVISIONS

Delete all post revisions periodically every week. This helps keep your database size small. Note however that by doing so all old versions of content will disappear for good.

### CLEAN TRANSIENTS

Delete all transient information periodically every week. Transients are used to temporarily store cached information by plugin developers and cleaning them helps keep your database small.

### CLEAN TRASH

Delete all trash periodically every week. This helps keep your database size small. Note however that by doing so all deleted content will disappear for good.

### CONVERT IMAGES TO WEBP

Convert all of your images to a more performant file format called WebP, which allows browsers to download your images faster.

### ZIP STATIC ASSETS

Zip static assets with Gzip technology to reduce the size of your static assets, such as images, stylesheets and scripts. Smaller sizes of these assets allow the browser to load your website faster.

### PRELOAD ADMIN PAGES

Preload the pages of your WordPress admin panel right before you click on a link. Gives you much faster admin panel loading which enhances user experience.

### PRELOAD WEBSITE PAGES

Preload the pages of your WordPress website right before you click on a link. Gives you much faster website loading which enhances user experience.

### INLINE CSS

Inline all of your CSS to save the browser from making trips to each of the individual stylesheet files, thus making the page load faster.

### REMOVE QUERY STRINGS

Removing query strings from your static assets helps the caching of your website to be more efficient, thus making the website faster.

### DEFER SCRIPTS

Deferring non-essential scripts will allow your website to become visible even before all of the scripts on your website have loaded, allowing the visitors to start interacting with your website faster.